Toolpath & Generation¶
Endpoints related to toolpath & generation.
- GET /document-parser-template/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError
- POST /document-parser-template/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError
- Response Headers:
Location – URI of the created resource
- GET /document-parser-template/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError
- PUT /document-parser-template/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError
- DELETE /document-parser-template/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError
- GET /synera-geometry-generation-job/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – Synera geometry job not found, or user has no bureau access.
- GET /synera-geometry-generation-job/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – Synera geometry job not found, or user has no bureau access.
- GET /toolpath-provider-type/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
400 Bad Request – This resource is list-only; individual rows are not addressable and cannot be created or updated.
- POST /toolpath-provider-type/¶
- Status Codes:
201 Created – Resource created successfully
400 Bad Request – This resource is list-only; individual rows are not addressable and cannot be created or updated.
- Response Headers:
Location – URI of the created resource
- GET /toolpath-provider-type/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
400 Bad Request – This resource is list-only; individual rows are not addressable and cannot be created or updated.
- PUT /toolpath-provider-type/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
400 Bad Request – This resource is list-only; individual rows are not addressable and cannot be created or updated.
- DELETE /toolpath-provider-type/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
400 Bad Request – This resource is list-only; individual rows are not addressable and cannot be created or updated.
- GET /automatic-document-parsing-job/¶
List automatic document parsing jobs with optional filtering.
List automatic document parsing jobs with optional filtering.
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested automatic document parsing job cannot be found.
- GET /automatic-document-parsing-job/{uuid}/¶
Get a single automatic document parsing job by UUID.
Get a single automatic document parsing job by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested automatic document parsing job cannot be found.
- GET /document-parser-instruction/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError
- POST /document-parser-instruction/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError
- Response Headers:
Location – URI of the created resource
- GET /document-parser-instruction/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError
- PUT /document-parser-instruction/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError
- DELETE /document-parser-instruction/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError
- GET /document-parser-instruction-report/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError
- POST /document-parser-instruction-report/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError
- Response Headers:
Location – URI of the created resource
- GET /document-parser-instruction-report/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError
- PUT /document-parser-instruction-report/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError
- DELETE /document-parser-instruction-report/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested record cannot be found.
403 Forbidden – You are not authorized to complete the request.
400 Bad Request – NotImplementedError
- GET /toolpath-generation-job/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – Toolpath generation job not found, or run not found or user has no access.
400 Bad Request – Run must not be in-progress or complete; run must require toolpath.
- POST /toolpath-generation-job/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – Toolpath generation job not found, or run not found or user has no access.
400 Bad Request – Run must not be in-progress or complete; run must require toolpath.
- Response Headers:
Location – URI of the created resource
- GET /toolpath-generation-job/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – Toolpath generation job not found, or run not found or user has no access.
400 Bad Request – Run must not be in-progress or complete; run must require toolpath.